Subject: Re: eth0 link off

From: Breno Leitao <[email-masked]>
Date: Wed, 30 Jul 2008 13:31:17 -0300

Nitin Mahajan wrote:

> I have configured a Ethernet driver in linux-2.6.24.2 kernel version.
> The interface comes up and I can see the 'eth0' interface when i do
> 'ifconfig -a'.
Is the interface up?  Discover using 'ifconfig ethX | grep UP'

> However when I try to configure the network interface it always says
> 'eth0 link off'. Can some one please point me to the problem and tell
> me at what stage this message is coming from?
What does "configure" mean in this context ? What is the result of
'ethtool -t ethX' ?